package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.EarnCoinModel

interface EarnCoinInteractor {

    interface View {
        fun responseEarnCoinSucceed(earnCoinList: ArrayList<EarnCoinModel>)
        fun responseEarnCoinFail(error: VolleyError)
    }

    interface Presenter {
        fun getEarnCoins()
    }

}